Loading...
Searching...
No Matches
Evaluating option strings
libavutil » Data Structures » AVOptions » Reading option values

This group of functions can be used to evaluate option strings and get numbers out of them. More...

## Functions

int | av_opt_eval_flags (void *obj, const AVOption *o, const char *val, int *flags_out)
int | av_opt_eval_int (void *obj, const AVOption *o, const char *val, int *int_out)
int | av_opt_eval_uint (void *obj, const AVOption *o, const char *val, unsigned *uint_out)
int | av_opt_eval_int64 (void *obj, const AVOption *o, const char *val, int64_t *int64_out)
int | av_opt_eval_float (void *obj, const AVOption *o, const char *val, float *float_out)
int | av_opt_eval_double (void *obj, const AVOption *o, const char *val, double *double_out)
int | av_opt_eval_q (void *obj, const AVOption *o, const char *val, AVRational *q_out)

## Detailed Description

This group of functions can be used to evaluate option strings and get numbers out of them.

They do the same thing as av_opt_set(), except the result is written into the caller-supplied pointer.

Parameters

  obj | a struct whose first element is a pointer to AVClass.
  o | an option for which the string is to be evaluated.
  val | string to be evaluated.
  *_out | value of the string will be written here.

Returns
  0 on success, a negative number on failure.

## Function Documentation

## av_opt_eval_flags()

int av_opt_eval_flags | ( | void * | obj,
|  | const AVOption * | o,
|  | const char * | val,
|  | int * | flags_out )

## av_opt_eval_int()

int av_opt_eval_int | ( | void * | obj,
|  | const AVOption * | o,
|  | const char * | val,
|  | int * | int_out )

## av_opt_eval_uint()

int av_opt_eval_uint | ( | void * | obj,
|  | const AVOption * | o,
|  | const char * | val,
|  | unsigned * | uint_out )

## av_opt_eval_int64()

int av_opt_eval_int64 | ( | void * | obj,
|  | const AVOption * | o,
|  | const char * | val,
|  | int64_t * | int64_out )

## av_opt_eval_float()

int av_opt_eval_float | ( | void * | obj,
|  | const AVOption * | o,
|  | const char * | val,
|  | float * | float_out )

## av_opt_eval_double()

int av_opt_eval_double | ( | void * | obj,
|  | const AVOption * | o,
|  | const char * | val,
|  | double * | double_out )

## av_opt_eval_q()

int av_opt_eval_q | ( | void * | obj,
|  | const AVOption * | o,
|  | const char * | val,
|  | AVRational * | q_out )